Subject: bug#76439: [PATCH] Specify 'tab-bar-history-mode' in 'winner-mode' docstring

From: Ship Mints <[email-masked]>
Date: Fri, 21 Feb 2025 05:39:41 -0500

In prose, there are no such things as short and long pauses.  That's a
concept for dramatic reading, and has nothing to do with proper grammar.

On Fri, Feb 21, 2025 at 5:36 AM Visuwesh <[email-masked]> wrote:

> [வெள்ளி பிப்ரவரி 21, 2025] Robert Pluim wrote:
>
> >>>>>> On Fri, 21 Feb 2025 15:46:47 +0530, Visuwesh <[email-masked]>
> said:
> >
> >     Stephen> Or "instead, since it provides", since it's a justification
> of the
> >     Stephen> recommendation.
> >
> >     Visuwesh> Are you supposed to have a comma before since?  In any
> case, is the
> >     Visuwesh> grammar of
> >
> > Contrast:
> >
> >     Itʼs not mandatory but since the sentence is long itʼs nice to
> >     provide the comma in order to allow the reader to pause mentally.
> >
> > with putting commas between the clauses:
> >
> >     Itʼs not mandatory, but since the sentence is long, itʼs nice to
> >     provide the comma in order to allow the reader to pause mentally.
> >
> > The following would be excessive (also known as "Shatner-mode"):
> >
> >     Itʼs not mandatory, but, since the sentence is long, itʼs nice to
> >     provide the comma, in order to allow the reader to pause, mentally.
> >
> > In short: the comma before "since" works well.
>
> Right, thanks for the hint.  I was using commas excessively at one point
> in time, but that got me some comments which ended me here...
> [ One of these days, I should finish reading The Elements of Style.  ]
>
> >     Visuwesh>     If you intend to use `tab-bar-mode' with
> `winner-mode', we recommend
> >     Visuwesh>     using `tab-bar-history-mode' instead, since it
> provides tab-specific
> >     Visuwesh>     window configuration history, and is better behaved
> when
> >     Visuwesh>     `tab-bar-mode' is turned on.
> >
> >     Visuwesh> correct?
> >
> >     >> That works as well. Iʼm told that using ';' is falling out of
> favour,
> >     >> since allegedly the youth of today donʼt understand it.
> >
> >     Visuwesh> It is hard to figure out where to put the semicolon.  It
> falling out of
> >     Visuwesh> favour means there aren't plenty of examples unless you're
> reading
> >     Visuwesh> Victorian novels I suppose.
> >
> > Anytime there can be a comma, there can be a semicolon. Easy 🙂
>
> Wasn't there a distinction between a "short" and a "long" pause?
> Something about short clauses?
>
> In any case, how about the attached?
>
>